/*
 * Generic parse routines.
 */

static char *rcsid = "$Id: isc-parse.c,v 0.2 1991/08/28 02:21:34 ceder Exp $";


#include <setjmp.h>
#include <string.h>
#include <stdio.h>
#include "lyskomd.h"
#include <kom-types.h>
#include "com.h"
#include "connections.h"
#include "isc-parse.h"

int
parse_char(Connection *client)
{
    if ( client->unparsed.len <= client->first_to_parse )
	longjmp(parse_env, ISC_MSG_INCOMPLETE);

    return client->unparsed.string[ client->first_to_parse++ ];
}
	

int
parse_nonwhite_char(Connection *client)
{
    int c;

    while ( strchr(" \t\n\r", c=parse_char(client) ) != NULL )
	;
    return c;
}
