#include "config.h"		/* DEBUG is defined there */
#ifdef DEBUG
#define BUG(s)  if (buglevel > 0) printf s ;
#define VBUG(s) if (buglevel > 1) printf s ;
#define BUGSTR(str) if (buglevel > 0) s_puts(str)
#define VBUGSTR(str) if (buglevel > 1) s_puts(str)
#define BUGDECL extern int buglevel
#else
#define BUG(s)
#define VBUG(s)
#define BUGSTR(str)
#define VBUGSTR(str)
#define BUGDECL
#endif
