# $Id: call-switch.awk,v 0.2 1991/08/28 02:21:57 ceder Exp $
BEGIN {
    printf("/* Don't edit this file - it is generated automatically");
    printf(" from\n   call-switch.awk and fncdef.txt */\n");
    printf("\tswitch(client->function)\n\t{\n"); 
}
$1 != "#" {
    printf("\tcase call_fnc_%s:\n\t    ", $2);
    if ( $1 == "success" )
	printf("status = %s(", $2);
    else
	printf("res->number = %s(", $2);
    
    num=0;
    string=0;
    c_string=0;
    for ( i = 3; i <= NF; i++)
    {
	if ( i != 3 )
	    printf(", ");
	if ( $i == ":" )
	{
	    printf("&res->%s", $(i+1));
	    break;
	}
	if ( $i == "num" )
	    printf("client->num%d", num++);
	else if ( $i == "string" )
	    printf("client->string%d", string++);
	else if ( $i == "c_string" )
	    printf("client->c_string%d", c_string++);
	else if ( $i == "priv_bits" )
	    printf("client->priv_bits");
	else if ( $i == "conf_type" )
	    printf("client->conf_type");
	else if ( $i == "c_local_text_no_p" )
	    printf("client->c_local_text_no_p");
	else if ( $i == "c_misc_info_p" )
	    printf("client->c_misc_info_p");
	else
	    printf("\n#error in file server/fncdef.txt\n");
    }
		  
    printf(");\n");
    if ( $1 == "number" )
    {
	if ( $2 == "get_time" )
	    printf("\t    status = OK;\n");
	else
	    printf("\t    status = (res->number != 0) ? OK : FAILURE;\n");
    }

    printf("\t    break;\n\n");
}
END { printf("\t}\n"); }
